curl --request GET \
--url https://api.opal.dev/v1/events/{event_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/events/{event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_id": "29827fb8-f2dd-4e80-9576-28e31e9934ac",
"actor_user_id": "1b978423-db0a-4037-a4cf-f79c60cb67b3",
"created_at": "2022-01-23T04:56:07.000Z",
"event_type": "USERS_CREATED"
}Returns an Event object.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the event.
Response
The requested Event.
Event Object
Description
The Event object is used to represent an event.
Usage Example
Fetch from the LIST Events endpoint.
The ID of the event.
"1b978423-db0a-4037-a4cf-f79c60cb67b3"
The ID of the actor user.
"29827fb8-f2dd-4e80-9576-28e31e9934ac"
The name of the actor user.
"John Smith"
The event type.
"USERS_CREATED"
The day and time the event was created.
"2022-01-23T04:56:07.000Z"
The email of the actor user.
"john@acmecorp.com"
The IP address of the event actor.
"255.255.255.0"
The name of the API token used to create the event.
"My API Token"
The preview of the API token used to create the event.
"**************************M_g=="
Show child attributes
Show child attributes
Was this page helpful?